package extend.zp.uitl;

import java.util.ArrayList;
import java.util.List;

import extend.zp.OpCard;

public class WinOpCard {
	public List<OpCard>	opCard;

	public int			huXi	= 0;

	public WinOpCard(List<OpCard> opCard, int huXi) {
		this.opCard = new ArrayList<OpCard>(opCard);
		this.huXi = huXi;
	}

	@Override
	public String toString() {
		StringBuffer sb = new StringBuffer();
		sb.append("total_huxi : " + huXi + ", ");
		for (OpCard opCard : opCard) {
			sb.append(opCard.card1 + " ");
			sb.append(opCard.card2 + " ");
			sb.append(opCard.card3==0?"":opCard.card3);
			sb.append(",type:" + opCard.type + ",huxi=" + opCard.huXi + " | ");
		}
		return sb.toString();
	}

}
